// Copyright (c) 2011 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

InspectorBackend.registerCommand("Inspector.enable", {}, []);
InspectorBackend.registerCommand("Inspector.disable", {}, []);
InspectorBackend.registerCommand("Page.enable", {}, []);
InspectorBackend.registerCommand("Page.disable", {}, []);
InspectorBackend.registerCommand("Page.addScriptToEvaluateOnLoad", {"scriptSource": {"optional": false, "type": "string"}}, ["identifier"]);
InspectorBackend.registerCommand("Page.removeScriptToEvaluateOnLoad", {"identifier": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("Page.reload", {"ignoreCache": {"optional": true, "type": "boolean"}, "scriptToEvaluateOnLoad": {"optional": true, "type": "string"}}, []);
InspectorBackend.registerCommand("Page.open", {"url": {"optional": false, "type": "string"}, "newWindow": {"optional": true, "type": "boolean"}}, []);
InspectorBackend.registerCommand("Page.getCookies", {}, ["cookies", "cookiesString"]);
InspectorBackend.registerCommand("Page.deleteCookie", {"cookieName": {"optional": false, "type": "string"}, "domain": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("Page.getResourceTree", {}, ["frameTree"]);
InspectorBackend.registerCommand("Page.getResourceContent", {"frameId": {"optional": false, "type": "string"}, "url": {"optional": false, "type": "string"}}, ["content", "base64Encoded"]);
InspectorBackend.registerCommand("Page.searchInResource", {"frameId": {"optional": false, "type": "string"}, "url": {"optional": false, "type": "string"}, "query": {"optional": false, "type": "string"}, "caseSensitive": {"optional": true, "type": "boolean"}, "isRegex": {"optional": true, "type": "boolean"}}, ["result"]);
InspectorBackend.registerCommand("Page.searchInResources", {"text": {"optional": false, "type": "string"}, "caseSensitive": {"optional": true, "type": "boolean"}, "isRegex": {"optional": true, "type": "boolean"}}, ["result"]);
InspectorBackend.registerCommand("Runtime.evaluate", {"expression": {"optional": false, "type": "string"}, "objectGroup": {"optional": true, "type": "string"}, "includeCommandLineAPI": {"optional": true, "type": "boolean"}, "doNotPauseOnExceptions": {"optional": true, "type": "boolean"}, "frameId": {"optional": true, "type": "string"}, "returnByValue": {"optional": true, "type": "boolean"}}, ["result", "wasThrown"]);
InspectorBackend.registerCommand("Runtime.callFunctionOn", {"objectId": {"optional": false, "type": "string"}, "functionDeclaration": {"optional": false, "type": "string"}, "arguments": {"optional": true, "type": "object"}, "returnByValue": {"optional": true, "type": "boolean"}}, ["result", "wasThrown"]);
InspectorBackend.registerCommand("Runtime.getProperties", {"objectId": {"optional": false, "type": "string"}, "ownProperties": {"optional": true, "type": "boolean"}}, ["result"]);
InspectorBackend.registerCommand("Runtime.releaseObject", {"objectId": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("Runtime.releaseObjectGroup", {"objectGroup": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("Runtime.run", {}, []);
InspectorBackend.registerCommand("Console.enable", {}, []);
InspectorBackend.registerCommand("Console.disable", {}, []);
InspectorBackend.registerCommand("Console.clearMessages", {}, []);
InspectorBackend.registerCommand("Console.setMonitoringXHREnabled", {"enabled": {"optional": false, "type": "boolean"}}, []);
InspectorBackend.registerCommand("Console.addInspectedNode", {"nodeId": {"optional": false, "type": "number"}}, []);
InspectorBackend.registerCommand("Network.enable", {}, []);
InspectorBackend.registerCommand("Network.disable", {}, []);
InspectorBackend.registerCommand("Network.setUserAgentOverride", {"userAgent": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("Network.setExtraHTTPHeaders", {"headers": {"optional": false, "type": "object"}}, []);
InspectorBackend.registerCommand("Network.getResponseBody", {"requestId": {"optional": false, "type": "string"}}, ["body", "base64Encoded"]);
InspectorBackend.registerCommand("Network.canClearBrowserCache", {}, ["result"]);
InspectorBackend.registerCommand("Network.clearBrowserCache", {}, []);
InspectorBackend.registerCommand("Network.canClearBrowserCookies", {}, ["result"]);
InspectorBackend.registerCommand("Network.clearBrowserCookies", {}, []);
InspectorBackend.registerCommand("Network.setCacheDisabled", {"cacheDisabled": {"optional": false, "type": "boolean"}}, []);
InspectorBackend.registerCommand("Database.enable", {}, []);
InspectorBackend.registerCommand("Database.disable", {}, []);
InspectorBackend.registerCommand("Database.getDatabaseTableNames", {"databaseId": {"optional": false, "type": "number"}}, ["tableNames"]);
InspectorBackend.registerCommand("Database.executeSQL", {"databaseId": {"optional": false, "type": "number"}, "query": {"optional": false, "type": "string"}}, ["success", "transactionId"]);
InspectorBackend.registerCommand("DOMStorage.enable", {}, []);
InspectorBackend.registerCommand("DOMStorage.disable", {}, []);
InspectorBackend.registerCommand("DOMStorage.getDOMStorageEntries", {"storageId": {"optional": false, "type": "number"}}, ["entries"]);
InspectorBackend.registerCommand("DOMStorage.setDOMStorageItem", {"storageId": {"optional": false, "type": "number"}, "key": {"optional": false, "type": "string"}, "value": {"optional": false, "type": "string"}}, ["success"]);
InspectorBackend.registerCommand("DOMStorage.removeDOMStorageItem", {"storageId": {"optional": false, "type": "number"}, "key": {"optional": false, "type": "string"}}, ["success"]);
InspectorBackend.registerCommand("ApplicationCache.getFramesWithManifests", {}, ["frameIds"]);
InspectorBackend.registerCommand("ApplicationCache.enable", {}, []);
InspectorBackend.registerCommand("ApplicationCache.getManifestForFrame", {"frameId": {"optional": false, "type": "string"}}, ["manifestURL"]);
InspectorBackend.registerCommand("ApplicationCache.getApplicationCacheForFrame", {"frameId": {"optional": false, "type": "string"}}, ["applicationCache"]);
InspectorBackend.registerCommand("FileSystem.enable", {}, []);
InspectorBackend.registerCommand("FileSystem.disable", {}, []);
InspectorBackend.registerCommand("DOM.getDocument", {}, ["root"]);
InspectorBackend.registerCommand("DOM.requestChildNodes", {"nodeId": {"optional": false, "type": "number"}}, []);
InspectorBackend.registerCommand("DOM.querySelector", {"nodeId": {"optional": false, "type": "number"}, "selector": {"optional": false, "type": "string"}}, ["nodeId"]);
InspectorBackend.registerCommand("DOM.querySelectorAll", {"nodeId": {"optional": false, "type": "number"}, "selector": {"optional": false, "type": "string"}}, ["nodeIds"]);
InspectorBackend.registerCommand("DOM.setNodeName", {"nodeId": {"optional": false, "type": "number"}, "name": {"optional": false, "type": "string"}}, ["nodeId"]);
InspectorBackend.registerCommand("DOM.setNodeValue", {"nodeId": {"optional": false, "type": "number"}, "value": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("DOM.removeNode", {"nodeId": {"optional": false, "type": "number"}}, []);
InspectorBackend.registerCommand("DOM.setAttributeValue", {"nodeId": {"optional": false, "type": "number"}, "name": {"optional": false, "type": "string"}, "value": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("DOM.setAttributesAsText", {"nodeId": {"optional": false, "type": "number"}, "text": {"optional": false, "type": "string"}, "name": {"optional": true, "type": "string"}}, []);
InspectorBackend.registerCommand("DOM.removeAttribute", {"nodeId": {"optional": false, "type": "number"}, "name": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("DOM.getEventListenersForNode", {"nodeId": {"optional": false, "type": "number"}}, ["listeners"]);
InspectorBackend.registerCommand("DOM.copyNode", {"nodeId": {"optional": false, "type": "number"}}, []);
InspectorBackend.registerCommand("DOM.getOuterHTML", {"nodeId": {"optional": false, "type": "number"}}, ["outerHTML"]);
InspectorBackend.registerCommand("DOM.setOuterHTML", {"nodeId": {"optional": false, "type": "number"}, "outerHTML": {"optional": false, "type": "string"}}, ["nodeId"]);
InspectorBackend.registerCommand("DOM.performSearch", {"query": {"optional": false, "type": "string"}}, ["searchId", "resultCount"]);
InspectorBackend.registerCommand("DOM.getSearchResults", {"searchId": {"optional": false, "type": "string"}, "fromIndex": {"optional": false, "type": "number"}, "toIndex": {"optional": false, "type": "number"}}, ["nodeIds"]);
InspectorBackend.registerCommand("DOM.discardSearchResults", {"searchId": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("DOM.requestNode", {"objectId": {"optional": false, "type": "string"}}, ["nodeId"]);
InspectorBackend.registerCommand("DOM.setInspectModeEnabled", {"enabled": {"optional": false, "type": "boolean"}, "highlightConfig": {"optional": true, "type": "object"}}, []);
InspectorBackend.registerCommand("DOM.highlightRect", {"x": {"optional": false, "type": "number"}, "y": {"optional": false, "type": "number"}, "width": {"optional": false, "type": "number"}, "height": {"optional": false, "type": "number"}, "color": {"optional": true, "type": "object"}, "outlineColor": {"optional": true, "type": "object"}}, []);
InspectorBackend.registerCommand("DOM.highlightNode", {"nodeId": {"optional": false, "type": "number"}, "highlightConfig": {"optional": false, "type": "object"}}, []);
InspectorBackend.registerCommand("DOM.hideHighlight", {}, []);
InspectorBackend.registerCommand("DOM.highlightFrame", {"frameId": {"optional": false, "type": "string"}, "contentColor": {"optional": true, "type": "object"}, "contentOutlineColor": {"optional": true, "type": "object"}}, []);
InspectorBackend.registerCommand("DOM.pushNodeByPathToFrontend", {"path": {"optional": false, "type": "string"}}, ["nodeId"]);
InspectorBackend.registerCommand("DOM.resolveNode", {"nodeId": {"optional": false, "type": "number"}, "objectGroup": {"optional": true, "type": "string"}}, ["object"]);
InspectorBackend.registerCommand("DOM.getAttributes", {"nodeId": {"optional": false, "type": "number"}}, ["attributes"]);
InspectorBackend.registerCommand("DOM.moveTo", {"nodeId": {"optional": false, "type": "number"}, "targetNodeId": {"optional": false, "type": "number"}, "insertBeforeNodeId": {"optional": true, "type": "number"}}, ["nodeId"]);
InspectorBackend.registerCommand("CSS.getMatchedStylesForNode", {"nodeId": {"optional": false, "type": "number"}, "forcedPseudoClasses": {"optional": true, "type": "object"}, "includePseudo": {"optional": true, "type": "boolean"}, "includeInherited": {"optional": true, "type": "boolean"}}, ["matchedCSSRules", "pseudoElements", "inherited"]);
InspectorBackend.registerCommand("CSS.getInlineStylesForNode", {"nodeId": {"optional": false, "type": "number"}}, ["inlineStyle", "styleAttributes"]);
InspectorBackend.registerCommand("CSS.getComputedStyleForNode", {"nodeId": {"optional": false, "type": "number"}, "forcedPseudoClasses": {"optional": true, "type": "object"}}, ["computedStyle"]);
InspectorBackend.registerCommand("CSS.getAllStyleSheets", {}, ["headers"]);
InspectorBackend.registerCommand("CSS.getStyleSheet", {"styleSheetId": {"optional": false, "type": "string"}}, ["styleSheet"]);
InspectorBackend.registerCommand("CSS.getStyleSheetText", {"styleSheetId": {"optional": false, "type": "string"}}, ["text"]);
InspectorBackend.registerCommand("CSS.setStyleSheetText", {"styleSheetId": {"optional": false, "type": "string"}, "text": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("CSS.setPropertyText", {"styleId": {"optional": false, "type": "object"}, "propertyIndex": {"optional": false, "type": "number"}, "text": {"optional": false, "type": "string"}, "overwrite": {"optional": false, "type": "boolean"}}, ["style"]);
InspectorBackend.registerCommand("CSS.toggleProperty", {"styleId": {"optional": false, "type": "object"}, "propertyIndex": {"optional": false, "type": "number"}, "disable": {"optional": false, "type": "boolean"}}, ["style"]);
InspectorBackend.registerCommand("CSS.setRuleSelector", {"ruleId": {"optional": false, "type": "object"}, "selector": {"optional": false, "type": "string"}}, ["rule"]);
InspectorBackend.registerCommand("CSS.addRule", {"contextNodeId": {"optional": false, "type": "number"}, "selector": {"optional": false, "type": "string"}}, ["rule"]);
InspectorBackend.registerCommand("CSS.getSupportedCSSProperties", {}, ["cssProperties"]);
InspectorBackend.registerCommand("Timeline.start", {"maxCallStackDepth": {"optional": true, "type": "number"}}, []);
InspectorBackend.registerCommand("Timeline.stop", {}, []);
InspectorBackend.registerCommand("Debugger.causesRecompilation", {}, ["result"]);
InspectorBackend.registerCommand("Debugger.supportsNativeBreakpoints", {}, ["result"]);
InspectorBackend.registerCommand("Debugger.enable", {}, []);
InspectorBackend.registerCommand("Debugger.disable", {}, []);
InspectorBackend.registerCommand("Debugger.setBreakpointsActive", {"active": {"optional": false, "type": "boolean"}}, []);
InspectorBackend.registerCommand("Debugger.setBreakpointByUrl", {"lineNumber": {"optional": false, "type": "number"}, "url": {"optional": true, "type": "string"}, "urlRegex": {"optional": true, "type": "string"}, "columnNumber": {"optional": true, "type": "number"}, "condition": {"optional": true, "type": "string"}}, ["breakpointId", "locations"]);
InspectorBackend.registerCommand("Debugger.setBreakpoint", {"location": {"optional": false, "type": "object"}, "condition": {"optional": true, "type": "string"}}, ["breakpointId", "actualLocation"]);
InspectorBackend.registerCommand("Debugger.removeBreakpoint", {"breakpointId": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("Debugger.continueToLocation", {"location": {"optional": false, "type": "object"}}, []);
InspectorBackend.registerCommand("Debugger.stepOver", {}, []);
InspectorBackend.registerCommand("Debugger.stepInto", {}, []);
InspectorBackend.registerCommand("Debugger.stepOut", {}, []);
InspectorBackend.registerCommand("Debugger.pause", {}, []);
InspectorBackend.registerCommand("Debugger.resume", {}, []);
InspectorBackend.registerCommand("Debugger.searchInContent", {"scriptId": {"optional": false, "type": "string"}, "query": {"optional": false, "type": "string"}, "caseSensitive": {"optional": true, "type": "boolean"}, "isRegex": {"optional": true, "type": "boolean"}}, ["result"]);
InspectorBackend.registerCommand("Debugger.canSetScriptSource", {}, ["result"]);
InspectorBackend.registerCommand("Debugger.setScriptSource", {"scriptId": {"optional": false, "type": "string"}, "scriptSource": {"optional": false, "type": "string"}, "preview": {"optional": true, "type": "boolean"}}, ["callFrames", "result"]);
InspectorBackend.registerCommand("Debugger.getScriptSource", {"scriptId": {"optional": false, "type": "string"}}, ["scriptSource"]);
InspectorBackend.registerCommand("Debugger.getFunctionLocation", {"functionId": {"optional": false, "type": "string"}}, ["location"]);
InspectorBackend.registerCommand("Debugger.setPauseOnExceptions", {"state": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("Debugger.evaluateOnCallFrame", {"callFrameId": {"optional": false, "type": "string"}, "expression": {"optional": false, "type": "string"}, "objectGroup": {"optional": true, "type": "string"}, "includeCommandLineAPI": {"optional": true, "type": "boolean"}, "returnByValue": {"optional": true, "type": "boolean"}}, ["result", "wasThrown"]);
InspectorBackend.registerCommand("DOMDebugger.setDOMBreakpoint", {"nodeId": {"optional": false, "type": "number"}, "type": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("DOMDebugger.removeDOMBreakpoint", {"nodeId": {"optional": false, "type": "number"}, "type": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("DOMDebugger.setEventListenerBreakpoint", {"eventName": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("DOMDebugger.removeEventListenerBreakpoint", {"eventName": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("DOMDebugger.setXHRBreakpoint", {"url": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("DOMDebugger.removeXHRBreakpoint", {"url": {"optional": false, "type": "string"}}, []);
InspectorBackend.registerCommand("Profiler.causesRecompilation", {}, ["result"]);
InspectorBackend.registerCommand("Profiler.isSampling", {}, ["result"]);
InspectorBackend.registerCommand("Profiler.hasHeapProfiler", {}, ["result"]);
InspectorBackend.registerCommand("Profiler.enable", {}, []);
InspectorBackend.registerCommand("Profiler.disable", {}, []);
InspectorBackend.registerCommand("Profiler.start", {}, []);
InspectorBackend.registerCommand("Profiler.stop", {}, []);
InspectorBackend.registerCommand("Profiler.getProfileHeaders", {}, ["headers"]);
InspectorBackend.registerCommand("Profiler.getProfile", {"type": {"optional": false, "type": "string"}, "uid": {"optional": false, "type": "number"}}, ["profile"]);
InspectorBackend.registerCommand("Profiler.removeProfile", {"type": {"optional": false, "type": "string"}, "uid": {"optional": false, "type": "number"}}, []);
InspectorBackend.registerCommand("Profiler.clearProfiles", {}, []);
InspectorBackend.registerCommand("Profiler.takeHeapSnapshot", {}, []);
InspectorBackend.registerCommand("Profiler.collectGarbage", {}, []);
InspectorBackend.registerCommand("Profiler.getObjectByHeapObjectId", {"objectId": {"optional": false, "type": "number"}}, ["result"]);
InspectorBackend.registerCommand("Worker.setWorkerInspectionEnabled", {"value": {"optional": false, "type": "boolean"}}, []);
InspectorBackend.registerCommand("Worker.sendMessageToWorker", {"workerId": {"optional": false, "type": "number"}, "message": {"optional": false, "type": "object"}}, []);
InspectorBackend.registerCommand("Worker.connectToWorker", {"workerId": {"optional": false, "type": "number"}}, []);
InspectorBackend.registerCommand("Worker.disconnectFromWorker", {"workerId": {"optional": false, "type": "number"}}, []);
InspectorBackend.registerCommand("Worker.setAutoconnectToWorkers", {"value": {"optional": false, "type": "boolean"}}, []);

InspectorBackend.registerEvent("Inspector.evaluateForTestInFrontend", ["testCallId", "script"]);
InspectorBackend.registerEvent("Inspector.inspect", ["object", "hints"]);
InspectorBackend.registerEvent("Inspector.didCreateWorker", ["id", "url", "isShared"]);
InspectorBackend.registerEvent("Inspector.didDestroyWorker", ["id"]);
InspectorBackend.registerEvent("Page.domContentEventFired", ["timestamp"]);
InspectorBackend.registerEvent("Page.loadEventFired", ["timestamp"]);
InspectorBackend.registerEvent("Page.frameNavigated", ["frame"]);
InspectorBackend.registerEvent("Page.frameDetached", ["frameId"]);
InspectorBackend.registerEvent("Console.messageAdded", ["message"]);
InspectorBackend.registerEvent("Console.messageRepeatCountUpdated", ["count"]);
InspectorBackend.registerEvent("Console.messagesCleared", []);
InspectorBackend.registerEvent("Network.requestWillBeSent", ["requestId", "frameId", "loaderId", "documentURL", "request", "timestamp", "initiator", "stackTrace", "redirectResponse"]);
InspectorBackend.registerEvent("Network.requestServedFromCache", ["requestId"]);
InspectorBackend.registerEvent("Network.responseReceived", ["requestId", "frameId", "loaderId", "timestamp", "type", "response"]);
InspectorBackend.registerEvent("Network.dataReceived", ["requestId", "timestamp", "dataLength", "encodedDataLength"]);
InspectorBackend.registerEvent("Network.loadingFinished", ["requestId", "timestamp"]);
InspectorBackend.registerEvent("Network.loadingFailed", ["requestId", "timestamp", "errorText", "canceled"]);
InspectorBackend.registerEvent("Network.requestServedFromMemoryCache", ["requestId", "frameId", "loaderId", "documentURL", "timestamp", "initiator", "resource"]);
InspectorBackend.registerEvent("Network.webSocketWillSendHandshakeRequest", ["requestId", "timestamp", "request"]);
InspectorBackend.registerEvent("Network.webSocketHandshakeResponseReceived", ["requestId", "timestamp", "response"]);
InspectorBackend.registerEvent("Network.webSocketCreated", ["requestId", "url"]);
InspectorBackend.registerEvent("Network.webSocketClosed", ["requestId", "timestamp"]);
InspectorBackend.registerEvent("Database.addDatabase", ["database"]);
InspectorBackend.registerEvent("Database.sqlTransactionSucceeded", ["transactionId", "columnNames", "values"]);
InspectorBackend.registerEvent("Database.sqlTransactionFailed", ["transactionId", "sqlError"]);
InspectorBackend.registerEvent("DOMStorage.addDOMStorage", ["storage"]);
InspectorBackend.registerEvent("DOMStorage.updateDOMStorage", ["storageId"]);
InspectorBackend.registerEvent("ApplicationCache.applicationCacheStatusUpdated", ["frameId", "manifestURL", "status"]);
InspectorBackend.registerEvent("ApplicationCache.networkStateUpdated", ["isNowOnline"]);
InspectorBackend.registerEvent("DOM.documentUpdated", []);
InspectorBackend.registerEvent("DOM.setChildNodes", ["parentId", "nodes"]);
InspectorBackend.registerEvent("DOM.attributeModified", ["nodeId", "name", "value"]);
InspectorBackend.registerEvent("DOM.attributeRemoved", ["nodeId", "name"]);
InspectorBackend.registerEvent("DOM.inlineStyleInvalidated", ["nodeIds"]);
InspectorBackend.registerEvent("DOM.characterDataModified", ["nodeId", "characterData"]);
InspectorBackend.registerEvent("DOM.childNodeCountUpdated", ["nodeId", "childNodeCount"]);
InspectorBackend.registerEvent("DOM.childNodeInserted", ["parentNodeId", "previousNodeId", "node"]);
InspectorBackend.registerEvent("DOM.childNodeRemoved", ["parentNodeId", "nodeId"]);
InspectorBackend.registerEvent("Timeline.eventRecorded", ["record"]);
InspectorBackend.registerEvent("Debugger.globalObjectCleared", []);
InspectorBackend.registerEvent("Debugger.scriptParsed", ["scriptId", "url", "startLine", "startColumn", "endLine", "endColumn", "isContentScript"]);
InspectorBackend.registerEvent("Debugger.scriptFailedToParse", ["url", "scriptSource", "startLine", "errorLine", "errorMessage"]);
InspectorBackend.registerEvent("Debugger.breakpointResolved", ["breakpointId", "location"]);
InspectorBackend.registerEvent("Debugger.paused", ["callFrames", "reason", "data"]);
InspectorBackend.registerEvent("Debugger.resumed", []);
InspectorBackend.registerEvent("Profiler.addProfileHeader", ["header"]);
InspectorBackend.registerEvent("Profiler.addHeapSnapshotChunk", ["uid", "chunk"]);
InspectorBackend.registerEvent("Profiler.finishHeapSnapshot", ["uid"]);
InspectorBackend.registerEvent("Profiler.setRecordingProfile", ["isProfiling"]);
InspectorBackend.registerEvent("Profiler.resetProfiles", []);
InspectorBackend.registerEvent("Profiler.reportHeapSnapshotProgress", ["done", "total"]);
InspectorBackend.registerEvent("Worker.workerCreated", ["workerId", "url", "inspectorConnected"]);
InspectorBackend.registerEvent("Worker.workerTerminated", ["workerId"]);
InspectorBackend.registerEvent("Worker.dispatchMessageFromWorker", ["workerId", "message"]);
InspectorBackend.registerEvent("Worker.disconnectedFromWorker", []);

InspectorBackend.registerInspectorDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "Inspector");
InspectorBackend.registerPageDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "Page");
InspectorBackend.registerConsoleDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "Console");
InspectorBackend.registerNetworkDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "Network");
InspectorBackend.registerDatabaseDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "Database");
InspectorBackend.registerDOMStorageDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "DOMStorage");
InspectorBackend.registerApplicationCacheDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "ApplicationCache");
InspectorBackend.registerFileSystemDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "FileSystem");
InspectorBackend.registerDOMDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "DOM");
InspectorBackend.registerTimelineDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "Timeline");
InspectorBackend.registerDebuggerDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "Debugger");
InspectorBackend.registerProfilerDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "Profiler");
InspectorBackend.registerWorkerDispatcher = InspectorBackend.registerDomainDispatcher.bind(InspectorBackend, "Worker");

